GET api/medistreamprogramstepapi/steps/{programId}?active={active}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| programId | globally unique identifier |
Required |
|
| active | boolean |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of MediStreamProgramStepViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| program_id | globally unique identifier |
Required |
|
| code | integer |
Required Range: inclusive between 0 and ∞ |
|
| name | string |
Required |
|
| medistream_program_step_type_id | globally unique identifier |
Required |
|
| active | boolean |
Required |
Response Formats
application/json, text/json
Sample:
[
{
"id": "7692ba20-722e-45c9-a573-03a9b77a5ddd",
"program_id": "531b97dd-791c-4fbd-a236-63c7e5d8e937",
"code": 3,
"name": "sample string 4",
"medistream_program_step_type_id": "27cec258-7c03-4bec-9502-46ae50f300cd",
"active": true
},
{
"id": "7692ba20-722e-45c9-a573-03a9b77a5ddd",
"program_id": "531b97dd-791c-4fbd-a236-63c7e5d8e937",
"code": 3,
"name": "sample string 4",
"medistream_program_step_type_id": "27cec258-7c03-4bec-9502-46ae50f300cd",
"active": true
}
]
application/xml, text/xml
Sample:
<ArrayOfmedistream_program_step xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<medistream_program_step>
<active>true</active>
<code>3</code>
<id>7692ba20-722e-45c9-a573-03a9b77a5ddd</id>
<medistream_program_step_type_id>27cec258-7c03-4bec-9502-46ae50f300cd</medistream_program_step_type_id>
<name>sample string 4</name>
<program_id>531b97dd-791c-4fbd-a236-63c7e5d8e937</program_id>
</medistream_program_step>
<medistream_program_step>
<active>true</active>
<code>3</code>
<id>7692ba20-722e-45c9-a573-03a9b77a5ddd</id>
<medistream_program_step_type_id>27cec258-7c03-4bec-9502-46ae50f300cd</medistream_program_step_type_id>
<name>sample string 4</name>
<program_id>531b97dd-791c-4fbd-a236-63c7e5d8e937</program_id>
</medistream_program_step>
</ArrayOfmedistream_program_step>